# The Natural Step for Communities Study Circle Guide/Print version

From Wikibooks, open books for an open world

< [The Natural Step for Communities Study Circle Guide](/wiki/The_Natural_Step_for_Communities_Study_Circle_Guide)

Jump to: navigation, search

![Printer.svg](//upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](/wiki/Help:Print_versions) of [The Natural Step for Communities Study Circle Guide](/wiki/The_Natural_Step_for_Communities_Study_Circle_Guide)**  
You won't see this message or any elements not part of the book's content when you print or [preview](//en.wikibooks.org/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=purge&printable=yes) this page.

“Perhaps the most important factor to why they were successful in becoming an eco-municipality were study circles…It’s a question of taking control over their own situation and their own future.” – _Torbjorn Lahti, Project Leader Swedish Eco-Municipality movement_  
  


## Contents

  * 1 **Background**
  * 2 **Study Circle Overview**
  * 3 **Objectives**
  * 4 **Format**
  * 5 **General**
  * 6 **Facilitator**
  * 7 **Opening**
  * 8 **Circle Question**
  * 9 Session 1: Introducing Natural Step Framework and Sustainability (Chapter 1, 2 & 3)
  * 10 **Session 2: Changing to Renewable Energy Resources and Alternative Transportation (Chapter 5 & 6)**
  * 11 **Session 3: Eco-Housing and Green Building/Businesses (Chapter 7 & 8)**

## **Background**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=1)]

The Natural Step for Communities study circle is a program developed by [Sustain Dane](http://www.SustainDane.org). The inspiration for this study circle came from the experience of Swedish eco-municipalities, communities that have successfully offered similar study circles as a tool for beginning education and community conversation related to sustainability community topics. Another inspiration for this program comes from the Northwest Earth Institute; a Portland, Oregon based non-profit organization that has been offering discussion courses locally and nationally through affiliate organizations for the past 13 years. Since 1993, over 75,000 individuals have participated in one of the seven discussion courses offered by the [Northwest Earth Institute](http://www.nwei.org).

## **Study Circle Overview**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=2)]

Sustainability may seem like one more buzzword, and cities and towns like the last places to change, but The Natural Step for Communities provides inspiring examples of communities that have made dramatic changes toward sustainability, and explains how others can emulate their success.

## **Objectives**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=3)]

>To build a network or community of fellows conversant in the area of sustainability  
>To become familiar with The Natural Step framework and have examples for a base of communication with others  
>To have an opportunity to learn about your community so that you can lay a foundation for future action  
>To be motivated to engage in actions personally and with others to move toward a sustainable future.

## **Format**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=4)]

A study circle format allows you to better understand the different perspectives and approaches to the complexity of sustainability. In addition, this study circle is intended to be a supportive learning experience, so please ask questions of clarification and share insights with one another. Whether you agree or disagree, you will have an opportunity to talk about an important subject with others who share your concerns, and hopefully have fun along the way!

The book used for this study circle first clarifies the concept of sustainability, offering guiding principles –The Natural Step framework __ that help identify sustainable action in any area. It then introduces the sixty-plus eco-municipalities of Sweden that have adopted changes to sustainable practices throughout municipal policies and operations. The third section explains how they did it, and outlines how other communities in North America and elsewhere can do the same. Key to success is a democratic “bottom-up change process, and clear guiding sustainability principles such as the Natural Step framework.

## **General**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=5)]

This section contains a list of suggested guidelines to help ensure a successful, positive study circle experience for every participant. Please review them before the first discussion session.

  * Read the study circle materials and review questions before each session. A better prepared group will have a better discussion.  

  * Begin and end each session on time. Your session will go by very quickly. To make the most of each session, make sure to begin and end on time.
  * Self-monitor your own time. All participants want a chance to enter the discussion.
  * If you know a fair amount about the discussion topic, try using this opportunity to listen to what others know about this issue. You can then use this knowledge to help you clearly state your perspective on the issue in future conversations with other community members and leaders.
  * Please keep the discussion positive. At times, the issues and challenges we face can seem overwhelming, especially in the context of sustainability.
  * If you are unclear of a term being used, seek clarification right away.
  * Don’t get stuck on the authors’ writing style or the format of the book. The book was not intended for a study circle.
  * Don’t spend too much time or detail on problem-solving. If possible, note ideas for potential solutions or actions and move on to the next discussion question. It is best to revisit these potential solutions or actions at the study circle celebration.
  * Please reserve comments on others participant’s responses to the circle question.
  * A response is not mandatory for each question. If you do not have a response for a particular question, simply say “I pass.”

If you have concerns about your discussion course experience, please discuss these issues immediately with your facilitator or contact [Sustain Dane](http://www.sustaindane.org).

## **Facilitator**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=6)]

Each session of the Natural Step for Communities study circle is facilitated by a volunteer. The facilitator is not the “teacher” but is there to assure the process below is followed in the study circle.

  * The facilitator’s principal role is to stimulate and moderate the discussion by asking questions identifying key points, and managing the group process. The facilitator is not an expert, does not have the answers or may even not be the most knowledgeable person about the topic for the week.  

  * The facilitator will keep the discussion focused on the sessions’ topic.  

  * Some questions are designed to be answered as a group, others by each individual participant. The facilitator will look for and acknowledge questions to be answered by the group as a whole.  

  * A primary goal is for everyone to participate in each session. The facilitator will try to draw out quiet participants by creating an opportunity for each person to contribute.  

  * On the other hand, an important role of the facilitator is to restrain a domineering participant.  

  * The facilitator will make opportunities for others to join the discussion.  

  * The facilitator will start each session by calling on the designated participant volunteer(s) to do the Opening before the start of the discussion.  

  * The facilitator will follow the opening with the Circle Question.  

  * Evaluations of the readings and discussions should be completed each week. The facilitator should remind each participant to fill out their weekly evaluation form at the end of each session.  


## **Opening**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=7)]

Many U.S. communities are now implementing some form of sustainable development, for example climate change initiatives, green building programs, brownfields redevelopment, open space preservation, and affordable housing. These are largely occurring on a project-by-project or issue-oriented approach – sometimes called the “silo approach” to sustainable development.

At the study circle introductory session, participants should volunteer to identify* a sustainable development project or initiative in your community or region that relates to a specific session. At the beginning of sessions two thru six, the Opening volunteer(s) for that sessions’ topic should explain,** in no more than five minutes, a sustainable project or initiative that they have researched . The presentation should cover what the project or initiative is, who is involved, where is it happening, when it started and how it is intended to benefit the community. The facilitator will demonstrate an opening in the first session.

  * If you are not familiar with a project or initiative in your community that relates to the particular session topic, ask the facilitator for some suggestions.
  * If time permits, the opening volunteer(s) are encouraged to research the project or initiative by conducting an interview, visiting the site or obtaining related documents.

## **Circle Question**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=8)]

After the Opening, the facilitator will ask the Circle Question, “The book introduces several examples of the session themes. What personal reactions or new insights did you have to what you read in this section of the book?” Each participant should provide an answer without comments or questions from others.

## Session 1: Introducing Natural Step Framework and Sustainability (Chapter 1, 2 & 3)[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=9)]

Begin with Circle Question: (Reminder: Each participant should provide an answer without comments or questions from others.)  


  * Can you think of a principle (ecological, ethical, etc.) that helps guide you in making decisions? What is the principle? How is it helpful?  

  * Can you identify and describe an experience you have had defining or explaining the concept of sustainability to people for the first time? Or, what have been your own challenges in understanding the concept? How might the sustainability objectives of The Natural Step help address these challenges?  

  * The authors talk about the importance of using an upstream approach to dealing with problems. Think of some of your community’s or region’s approaches in dealing with community or regional problems such as traffic congestion, challenges in education, homelessness, unemployment, or high health care costs. As a group, determine three examples of “downstream approaches” and three examples of “upstream approaches” to these problems?  

  * The authors in the book note that “communities are complex systems…this complexity often results in actions or policies that can work cross-purposes or compete with each other.” Have you experienced a similar situation in community? Explain.  

  * From what you have learned thus far about the Natural Step framework and what you know about your community already, to which issues in your community could the framework be applied to; immediately and easily? With the most significant impact?  

  * Did reading this section make you want to do something differently or to take some action in your life? If so, explain.  


## **Session 2: Changing to Renewable Energy Resources and Alternative Transportation (Chapter 5 & 6)**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=10)]

_Begin with the Circle Question_

  * As explained in the book, different Swedish communities use different sources of energy. From what energy sources is your local power company producing energy? From what you now know about the types of renewable energy available and your communities access to these energy resources (i.e. solar, wind, biomass), what combination of renewable energy sources do you think might work well in your community? Explain.
  * Are green energy pricing programs are offered in your area? If so describe them. Have you chosen to participate in these programs? Why or why not?
  * Besides decreasing emissions, can you identify other benefits to the development of a less fossil-fueled dependent transportation system?
  * Describe the physical, social and economic barriers in your community may that prevent people from getting to places other than by car.
  * Are there alternative transportation options in your community, and how are they working? How can your community support the development of such options?
  * Did reading this section make you want to do something differently or to take some action in your life? If so, explain.

## **Session 3: Eco-Housing and Green Building/Businesses (Chapter 7 & 8)**[[edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&section=11)]

_Begin with the Circle Question_

  * Think of a building in your community (i.e. your home, library, church, etc.) that you liked to spend time in. What are the characteristics of the building that make it enjoyable for you?
  * What features of your current dwelling encourage or discourage alteration to a more sustainable habitat?
  * In light of the fourth system condition, what factors should be considered when determining an affordable housing policy for your community?
  * In light of the Natural Step framework, if you were a business owner, what steps would you take to determine how to make your business greener?
  * The book highlights a number of types of businesses (fast-food restaurant, hotel, auto dealer, tanning company, construction, etc.) that have created a market advantage because they have gone green. What businesses or types of businesses in your community do you think could benefit most from incorporating green practices such as co-location, waste and pollution reduction, recycling, green building, etc? Explain.
  * Did reading this section make you want to do something differently or to take some action in your life? If so, explain.
![](//en.wikibooks.org/w/index.php?title=Special:CentralAutoLogin/start&type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&oldid=1683107](http://en.wikibooks.org/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&oldid=1683107)" 

[Category](/wiki/Special:Categories): 

  * [The Natural Step for Communities Study Circle Guide](/wiki/Category:The_Natural_Step_for_Communities_Study_Circle_Guide)

## Navigation menu

### Personal tools

  * [Create account](/w/index.php?title=Special:UserLogin&returnto=The+Natural+Step+for+Communities+Study+Circle+Guide%2FPrint+version&type=signup)
  * [Log in](/w/index.php?title=Special:UserLogin&returnto=The+Natural+Step+for+Communities+Study+Circle+Guide%2FPrint+version)

### Namespaces

  * [Book](/wiki/The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version)
  * [Discussion](/w/index.php?title=Talk:The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](/wiki/The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version)
  * [Edit](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=edit)
  * [View history](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=history)

### Actions

### Search

![Search](//bits.wikimedia.org/static-1.22wmf19/skins/vector/images/search-ltr.png?303-4)

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](/wiki/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:Randomrootpage)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Toolbox

  * [What links here](/wiki/Special:WhatLinksHere/The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version)
  * [Related changes](/wiki/Special:RecentChangesLinked/The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version)
  * [Upload file](//commons.wikimedia.org/wiki/Commons:Upload)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&oldid=1683107)
  * [Page information](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&action=info)
  * [Cite this page](/w/index.php?title=Special:Cite&page=The_Natural_Step_for_Communities_Study_Circle_Guide%2FPrint_version&id=1683107)

### In other languages

  * ### Sister projects

  * [Wikipedia](//en.wikipedia.org/wiki/Main_Page)
  * [Wikiversity](//en.wikiversity.org/wiki/Wikiversity:Main_Page)
  * [Wiktionary](//en.wiktionary.org/wiki/Wiktionary:Main_Page)
  * [Wikiquote](//en.wikiquote.org/wiki/Main_Page)
  * [Wikisource](//en.wikisource.org/wiki/Main_Page)
  * [Wikinews](//en.wikinews.org/wiki/Main_Page)
  * [Wikivoyage](//en.wikivoyage.org/wiki/Main_Page)
  * [Commons](//commons.wikimedia.org/wiki/Main_Page)
  * [Wikidata](//www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

  * [Create a collection](/w/index.php?title=Special:Book&bookcmd=book_creator&referer=The+Natural+Step+for+Communities+Study+Circle+Guide%2FPrint+version)
  * [Download as PDF](/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=The+Natural+Step+for+Communities+Study+Circle+Guide%2FPrint+version&oldid=1683107&writer=rl)
  * [Printable version](/w/index.php?title=The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version&printable=yes)

  * This page was last modified on 19 December 2009, at 00:41.
  * Text is available under the [Creative Commons Attribution/Share-Alike License](//creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](//wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](//wikimediafoundation.org/wiki/Privacy_policy)
  * [Privacy policy](//wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikibooks](/wiki/Wikibooks:Welcome)
  * [Disclaimers](/wiki/Wikibooks:General_disclaimer)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](//en.m.wikibooks.org/wiki/The_Natural_Step_for_Communities_Study_Circle_Guide/Print_version)
  * ![Wikimedia Foundation](//bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](//bits.wikimedia.org/static-1.22wmf19/skins/common/images/poweredby_mediawiki_88x31.png)
